Page MenuHomePhabricator

Update suggestion widget design
Closed, ResolvedPublic

Description

Per design feedback, we need to make some updates to the suggestion widget design:

  • Move checkmark to right side
  • Avoid changing the widget's width when adding/removing a checkmark. To achieve this, we'll need to add extra horizontal padding initially, then move the text to the left when the checkmark appears. We'll also need a nice CSS transition to make sure this action is smooth and not jarring

We're going for something like this, except with the text centered for unconfirmed suggestions:

Details

Related Gerrit Patches:
mediawiki/extensions/MachineVision : wmf/1.35.0-wmf.5Update suggestion widget design so buttons don't change width
mediawiki/extensions/MachineVision : masterUpdate suggestion widget design so buttons don't change width

Event Timeline

AnneT created this task.Nov 6 2019, 10:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 6 2019, 10:10 PM
AnneT moved this task from Backlog to Ready for dev on the MachineVision board.

Based on separate convos with both Anne and @RHo: something like this could help make the tags look/work better:


(example by Rita)

Change 549870 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Update suggestion widget design so buttons don't change width

https://gerrit.wikimedia.org/r/549870

Change 549870 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Update suggestion widget design so buttons don't change width

https://gerrit.wikimedia.org/r/549870

Change 550780 had a related patch set uploaded (by Mholloway; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@wmf/1.35.0-wmf.5] Update suggestion widget design so buttons don't change width

https://gerrit.wikimedia.org/r/550780

Change 550780 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@wmf/1.35.0-wmf.5] Update suggestion widget design so buttons don't change width

https://gerrit.wikimedia.org/r/550780

AnneT moved this task from In development to Done on the MachineVision board.Nov 14 2019, 5:03 PM
Ramsey-WMF closed this task as Resolved.Dec 13 2019, 11:24 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Works on production.